Package org.eclipse.cdt.utils.elf

# Class Elf.ELFhdr

java.lang.Object
org.eclipse.cdt.utils.elf.Elf.ELFhdr

Enclosing class:
  `Elf`

public class Elf.ELFhdr extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`short`
`e_ehsize`
`IAddress`
`e_entry`
`long`
`e_flags`
`byte[]`
`e_ident`
`int`
`e_machine`
`short`
`e_phentsize`
`short`
`e_phnum`
`long`
`e_phoff`
`short`
`e_shentsize`
`short`
`e_shnum`
`long`
`e_shoff`
`short`
`e_shstrndx`
`int`
`e_type`
`long`
`e_version`
`static final int`
`EI_CLASS`
`static final int`
`EI_DATA`
`static final int`
`EI_MAG0`
`static final int`
`EI_MAG1`
`static final int`
`EI_MAG2`
`static final int`
`EI_MAG3`
`static final int`
`EI_NDENT`
`static final int`
`EI_PAD`
`static final int`
`EI_VERSION`
`static final int`
`ELFCLASS32`
`static final int`
`ELFCLASS64`
`static final int`
`ELFCLASSNONE`
`static final int`
`ELFDATA2LSB`
`static final int`
`ELFDATA2MSB`
`static final int`
`ELFDATANONE`
`static final int`
`EM_386`
`static final int`
`EM_486`
`static final int`
`EM_68HC08`
`static final int`
`EM_68K`
`static final int`
`EM_860`
`static final int`
`EM_88K`
`static final int`
`EM_AARCH64`
`static final int`
`EM_ARM`
`static final int`
`EM_AVR`
`static final int`
`EM_AVR32`
`static final int`
`EM_BLACKFIN`
`static final int`
`EM_C166`
`static final int`
`EM_COLDFIRE`
`static final int`
`EM_CRADLE`
`static final int`
`EM_CYGNUS_FR30`
`static final int`
`EM_CYGNUS_FRV`
`static final int`
`EM_CYGNUS_M32R`
`static final int`
`EM_CYGNUS_MN10200`
`static final int`
`EM_CYGNUS_MN10300`
`static final int`
`EM_CYGNUS_POWERPC`
`static final int`
`EM_CYGNUS_V850`
`static final int`
`EM_ESIRISC`
`static final int`
`EM_EXCESS`
`static final int`
`EM_FR30`
`static final int`
`EM_H8_300`
`static final int`
`EM_H8_300H`
`static final int`
`EM_IA_64`
`static final int`
`EM_IQ2000`
`static final int`
`EM_M16C`
`static final int`
`EM_M32`
`static final int`
`EM_M32R`
`static final int`
`EM_MICROBLAZE`
`static final int`
`EM_MIPS`
`static final int`
`EM_MIPS_RS3_LE`
`static final int`
`EM_MMDSP`
`static final int`
`EM_MN10200`
`static final int`
`EM_MN10300`
`static final int`
`EM_MSP430`
`static final int`
`EM_nCUBE`
`static final int`
`EM_NIOS`
`static final int`
`EM_NIOSII`
`static final int`
`EM_NONE`
`static final int`
`EM_PARISC`
`static final int`
`EM_PPC`
`static final int`
`EM_PPC64`
`static final int`
`EM_RISCV`
`static final int`
`EM_RL78`
`static final int`
`EM_RS08`
`static final int`
`EM_RS6000`
`static final int`
`EM_RX`
`static final int`
`EM_SDMA`
`static final int`
`EM_SH`
`static final int`
`EM_SPARC`
`static final int`
`EM_SPARC32PLUS`
`static final int`
`EM_SPARCV9`
`static final int`
`EM_ST100`
`static final int`
`EM_STARCORE`
`static final int`
`EM_TRICORE`
`static final int`
`EM_V800`
`static final int`
`EM_V850`
`static final int`
`EM_VPP550`
`static final int`
`EM_X86_64`
`static final int`
`EM_XILINX_MICROBLAZE`
`static final int`
`EM_XSTORMY16`
`static final int`
`EM_XTENSA`
`static final int`
`ET_CORE`
`static final int`
`ET_DYN`
`static final int`
`ET_EXEC`
`static final int`
`ET_HIPROC`
`static final int`
`ET_LOPROC`
`static final int`
`ET_NONE`
`static final int`
`ET_REL`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ELFhdr()`
`protected`
`ELFhdr(byte[] bytes)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EI_MAG0

public static final int EI_MAG0

See Also:
  - Constant Field Values

### EI_MAG1

public static final int EI_MAG1

See Also:
  - Constant Field Values

### EI_MAG2

public static final int EI_MAG2

See Also:
  - Constant Field Values

### EI_MAG3

public static final int EI_MAG3

See Also:
  - Constant Field Values

### EI_CLASS

public static final int EI_CLASS

See Also:
  - Constant Field Values

### EI_DATA

public static final int EI_DATA

See Also:
  - Constant Field Values

### EI_VERSION

public static final int EI_VERSION

See Also:
  - Constant Field Values

### EI_PAD

public static final int EI_PAD

See Also:
  - Constant Field Values

### EI_NDENT

public static final int EI_NDENT

See Also:
  - Constant Field Values

### ELFCLASSNONE

public static final int ELFCLASSNONE

See Also:
  - Constant Field Values

### ELFCLASS32

public static final int ELFCLASS32

See Also:
  - Constant Field Values

### ELFCLASS64

public static final int ELFCLASS64

See Also:
  - Constant Field Values

### ELFDATANONE

public static final int ELFDATANONE

See Also:
  - Constant Field Values

### ELFDATA2LSB

public static final int ELFDATA2LSB

See Also:
  - Constant Field Values

### ELFDATA2MSB

public static final int ELFDATA2MSB

See Also:
  - Constant Field Values

### ET_NONE

public static final int ET_NONE

See Also:
  - Constant Field Values

### ET_REL

public static final int ET_REL

See Also:
  - Constant Field Values

### ET_EXEC

public static final int ET_EXEC

See Also:
  - Constant Field Values

### ET_DYN

public static final int ET_DYN

See Also:
  - Constant Field Values

### ET_CORE

public static final int ET_CORE

See Also:
  - Constant Field Values

### ET_LOPROC

public static final int ET_LOPROC

See Also:
  - Constant Field Values

### ET_HIPROC

public static final int ET_HIPROC

See Also:
  - Constant Field Values

### EM_NONE

public static final int EM_NONE

See Also:
  - Constant Field Values

### EM_M32

public static final int EM_M32

See Also:
  - Constant Field Values

### EM_SPARC

public static final int EM_SPARC

See Also:
  - Constant Field Values

### EM_386

public static final int EM_386

See Also:
  - Constant Field Values

### EM_68K

public static final int EM_68K

See Also:
  - Constant Field Values

### EM_88K

public static final int EM_88K

See Also:
  - Constant Field Values

### EM_486

public static final int EM_486

See Also:
  - Constant Field Values

### EM_860

public static final int EM_860

See Also:
  - Constant Field Values

### EM_MIPS

public static final int EM_MIPS

See Also:
  - Constant Field Values

### EM_MIPS_RS3_LE

public static final int EM_MIPS_RS3_LE

See Also:
  - Constant Field Values

### EM_RS6000

public static final int EM_RS6000

See Also:
  - Constant Field Values

### EM_PARISC

public static final int EM_PARISC

See Also:
  - Constant Field Values

### EM_nCUBE

public static final int EM_nCUBE

See Also:
  - Constant Field Values

### EM_VPP550

public static final int EM_VPP550

See Also:
  - Constant Field Values

### EM_SPARC32PLUS

public static final int EM_SPARC32PLUS

See Also:
  - Constant Field Values

### EM_PPC

public static final int EM_PPC

See Also:
  - Constant Field Values

### EM_PPC64

public static final int EM_PPC64

See Also:
  - Constant Field Values

### EM_V800

public static final int EM_V800

Since:
  9.0
See Also:
  - Constant Field Values

### EM_ARM

public static final int EM_ARM

See Also:
  - Constant Field Values

### EM_SH

public static final int EM_SH

See Also:
  - Constant Field Values

### EM_SPARCV9

public static final int EM_SPARCV9

See Also:
  - Constant Field Values

### EM_TRICORE

public static final int EM_TRICORE

See Also:
  - Constant Field Values

### EM_H8_300

public static final int EM_H8_300

See Also:
  - Constant Field Values

### EM_H8_300H

public static final int EM_H8_300H

See Also:
  - Constant Field Values

### EM_IA_64

public static final int EM_IA_64

See Also:
  - Constant Field Values

### EM_COLDFIRE

public static final int EM_COLDFIRE

See Also:
  - Constant Field Values

### EM_STARCORE

public static final int EM_STARCORE

See Also:
  - Constant Field Values

### EM_X86_64

public static final int EM_X86_64

See Also:
  - Constant Field Values

### EM_ST100

public static final int EM_ST100

See Also:
  - Constant Field Values

### EM_68HC08

public static final int EM_68HC08

Since:
  5.2
See Also:
  - Constant Field Values

### EM_AVR

public static final int EM_AVR

See Also:
  - Constant Field Values

### EM_FR30

public static final int EM_FR30

See Also:
  - Constant Field Values

### EM_V850

public static final int EM_V850

See Also:
  - Constant Field Values

### EM_M32R

public static final int EM_M32R

See Also:
  - Constant Field Values

### EM_MN10300

public static final int EM_MN10300

See Also:
  - Constant Field Values

### EM_MN10200

public static final int EM_MN10200

See Also:
  - Constant Field Values

### EM_XTENSA

public static final int EM_XTENSA

See Also:
  - Constant Field Values

### EM_MSP430

public static final int EM_MSP430

See Also:
  - Constant Field Values

### EM_BLACKFIN

public static final int EM_BLACKFIN

See Also:
  - Constant Field Values

### EM_EXCESS

public static final int EM_EXCESS

See Also:
  - Constant Field Values

### EM_ESIRISC

public static final int EM_ESIRISC

Since:
  5.5
See Also:
  - Constant Field Values

### EM_NIOSII

public static final int EM_NIOSII

See Also:
  - Constant Field Values

### EM_C166

public static final int EM_C166

See Also:
  - Constant Field Values

### EM_M16C

public static final int EM_M16C

See Also:
  - Constant Field Values

### EM_RS08

public static final int EM_RS08

Since:
  5.2
See Also:
  - Constant Field Values

### EM_MMDSP

public static final int EM_MMDSP

See Also:
  - Constant Field Values

### EM_RX

public static final int EM_RX

Since:
  5.4
See Also:
  - Constant Field Values

### EM_RL78

public static final int EM_RL78

Since:
  5.4
See Also:
  - Constant Field Values

### EM_AARCH64

public static final int EM_AARCH64

Since:
  6.0
See Also:
  - Constant Field Values

### EM_AVR32

public static final int EM_AVR32

Since:
  9.0
See Also:
  - Constant Field Values

### EM_MICROBLAZE

public static final int EM_MICROBLAZE

Since:
  9.0
See Also:
  - Constant Field Values

### EM_RISCV

public static final int EM_RISCV

Since:
  7.0
See Also:
  - Constant Field Values

### EM_NIOS

public static final int EM_NIOS

See Also:
  - Constant Field Values

### EM_CYGNUS_POWERPC

public static final int EM_CYGNUS_POWERPC

See Also:
  - Constant Field Values

### EM_CYGNUS_M32R

public static final int EM_CYGNUS_M32R

See Also:
  - Constant Field Values

### EM_CYGNUS_V850

public static final int EM_CYGNUS_V850

See Also:
  - Constant Field Values

### EM_CYGNUS_MN10200

public static final int EM_CYGNUS_MN10200

See Also:
  - Constant Field Values

### EM_CYGNUS_MN10300

public static final int EM_CYGNUS_MN10300

See Also:
  - Constant Field Values

### EM_CYGNUS_FR30

public static final int EM_CYGNUS_FR30

See Also:
  - Constant Field Values

### EM_XSTORMY16

public static final int EM_XSTORMY16

See Also:
  - Constant Field Values

### EM_CYGNUS_FRV

public static final int EM_CYGNUS_FRV

See Also:
  - Constant Field Values

### EM_IQ2000

public static final int EM_IQ2000

See Also:
  - Constant Field Values

### EM_XILINX_MICROBLAZE

public static final int EM_XILINX_MICROBLAZE

See Also:
  - Constant Field Values

### EM_SDMA

public static final int EM_SDMA

See Also:
  - Constant Field Values

### EM_CRADLE

public static final int EM_CRADLE

See Also:
  - Constant Field Values

### e_ident

public byte[] e_ident

### e_type

public int e_type

### e_machine

public int e_machine

### e_version

public long e_version

### e_entry

public IAddress e_entry

### e_phoff

public long e_phoff

### e_shoff

public long e_shoff

### e_flags

public long e_flags

### e_ehsize

public short e_ehsize

### e_phentsize

public short e_phentsize

### e_phnum

public short e_phnum

### e_shentsize

public short e_shentsize

### e_shnum

public short e_shnum

### e_shstrndx

public short e_shstrndx

## Constructor Details

### ELFhdr

protected ELFhdr() throws IOException

Throws:
  `IOException`

### ELFhdr

protected ELFhdr(byte[] bytes) throws IOException

Throws:
  `IOException`